imageconvolution
imagecopymerge
GD and Image Functions
PHP Manual

# imagecopy

(PHP 4, PHP 5)

imagecopy — Copy part of an image

### Description

bool imagecopy ( resource `$dst_im` , resource `$src_im` , int `$dst_x` , int `$dst_y` , int `$src_x` , int `$src_y` , int `$src_w` , int `$src_h` )

Copy a part of `src_im` onto `dst_im` starting at the x,y coordinates `src_x`, `src_y` with a width of `src_w` and a height of `src_h`. The portion defined will be copied onto the x,y coordinates, `dst_x` and `dst_y`.

### Parameters

`dst_im`

  Destination image link resource.

`src_im`

  Source image link resource.

`dst_x`

  x-coordinate of destination point.

`dst_y`

  y-coordinate of destination point.

`src_x`

  x-coordinate of source point.

`src_y`

  y-coordinate of source point.

`src_w`

  Source width.

`src_h`

  Source height.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Cropping the PHP.net logo

`<?php
// Create image instances
$src = imagecreatefromgif('php.gif');
$dest = imagecreatetruecolor(80, 40);
// Copy
imagecopy($dest, $src, 0, 0, 20, 13, 80, 40);
// Output and free from memory
header('Content-Type: image/gif');
imagegif($dest);
imagedestroy($dest);
imagedestroy($src);
?>`

The above example will output something similar to:

imageconvolution
imagecopymerge
GD and Image Functions
PHP Manual